<?
$nav_show_array = array('escorts', 'escorts-only', 'agencies', 'independent-escorts', 'agency-escorts');
$tours_show_array = array('citytours', 'upcomingtours');
$newest_cats = array('newest', 'newest-independent', 'newest-agency-escorts');
$list_types = array('gallery' => __('gallery_view'), 'list' => __('list_view'));

$modelCities = new Model_Cities();

$geo_city = $modelCities->getByGeoIp();
$geo_data = Cubix_Geoip::getClientLocation();

?>
<?= $this->render('escorts/main-filter.phtml'); ?>
<?= $this->render('escorts/mobile-search.phtml'); ?>
<!-- Mobile view -->

<!-- Desktop search -->
<div class="filters">
	<div class="filter-container d-flex flex-row flex-wrap justify-content-between align-items-center inner-section desktop">
        <input type="checkbox" checked class="d-none" value="" id="pager-input" name="page">
		<div class="w-100 no-gap filter-bar-checkboxes d-flex flex-row flex-wrap">

            <? foreach($this->filterBoxes as $checkbox): ?>
            <div class="x1-box" style="<?= $checkbox['isVisible'] ? '' : 'display: none' ?>" >
		        <input class="will-trigger-desktop-search-on-change" type="checkbox" name="<?= $checkbox['name'] ?>" id="<?= $checkbox['name'] ?>" value="1" <?= ($this->{$checkbox['name']}) ? 'checked="checked"' : '' ?>>
		        <label for="<?= $checkbox['name'] ?>"><?= __($checkbox['title']) ?></label>
		    </div>
            <? endforeach; ?>

            <? if(!$this->hideAdvancedSearch): ?>
			<div class="d-flex justify-content-end row-last-item">
				<a href="#" class="advanced-search"><?= __('advanced_search') ?></a>
			</div>
            <? endif; ?>

		</div>

		<!-- Advanced filter include -->
		<?= $this->render('escorts/advanced-search.phtml'); ?>
	</div>
</div>